#-----------------------------------------------------------------------------
#
# VTKConfig.cmake - VTK CMake configuration file for external projects.
#
# This file is configured by VTK and used by the UseVTK.cmake module
# to load VTK's settings for an external project.

# The VTK include file directories.
SET(VTK_INCLUDE_DIRS "C:/vtkbin;C:/VTK/Hybrid;C:/VTK/Rendering;C:/VTK/IO;C:/VTK/Imaging;C:/VTK/Graphics;C:/VTK/Filtering;C:/VTK/Common;C:/VTK/Common/Testing/Cxx;C:/vtkbin/Utilities/zlib;C:/VTK/Utilities/zlib;C:/vtkbin/Utilities/jpeg;C:/VTK/Utilities/jpeg;C:/vtkbin/Utilities/png;C:/VTK/Utilities/png;C:/vtkbin/Utilities/tiff;C:/VTK/Utilities/tiff;C:/vtkbin/Utilities/expat;C:/VTK/Utilities/expat;C:/vtkbin/Utilities/DICOMParser;C:/VTK/Utilities/DICOMParser;C:/Programmi/Tcl/include;C:/Python23/include;C:/Programmi/Tcl/include;C:/Programmi/Tcl/include")

# The VTK library directories.
SET(VTK_LIBRARY_DIRS "C:/vtkbin/bin")

# The C and C++ flags added by VTK to the cmake-configured flags.
SET(VTK_REQUIRED_C_FLAGS "")
SET(VTK_REQUIRED_CXX_FLAGS "")
SET(VTK_REQUIRED_EXE_LINKER_FLAGS "")

# The VTK version number
SET(VTK_MAJOR_VERSION "4")
SET(VTK_MINOR_VERSION "4")
SET(VTK_BUILD_VERSION "2")

# The location of the UseVTK.cmake file.
SET(VTK_USE_FILE "C:/vtkbin/UseVTK.cmake")

# The build settings file.
SET(VTK_BUILD_SETTINGS_FILE "C:/vtkbin/VTKBuildSettings.cmake")

# The directory containing class list files for each kit.
SET(VTK_KITS_DIR "C:/vtkbin/Utilities")

# The wrapping hints file.
SET(VTK_WRAP_HINTS "C:/VTK/Wrapping/hints")

# CMake extension module directory and macro file.
SET(VTK_LOAD_CMAKE_EXTENSIONS_MACRO "C:/VTK/CMake/vtkLoadCMakeExtensions.cmake")
SET(VTK_CMAKE_EXTENSIONS_DIR "C:/vtkbin/CMake")

# The list of available kits.
SET(VTK_KITS "COMMON;FILTERING;IO;GRAPHICS;IMAGING;RENDERING;HYBRID")

# The list of available languages.
SET(VTK_LANGUAGES "TCL;PYTHON")

# VTK Configuration options.
SET(VTK_BUILD_SHARED_LIBS "ON")
SET(VTK_DEBUG_LEAKS "OFF")
SET(VTK_DISABLE_TK_INIT "OFF")
SET(VTK_HAVE_VG500 "")
SET(VTK_HAVE_VP1000 "")
SET(VTK_USE_MANGLED_MESA "OFF")
SET(VTK_MPIRUN_EXE "")
SET(VTK_MPI_MAX_NUMPROCS "")
SET(VTK_MPI_POSTFLAGS "")
SET(VTK_MPI_PREFLAGS "")
SET(VTK_OPENGL_HAS_OSMESA "OFF")
SET(VTK_USE_64BIT_IDS "OFF")
SET(VTK_USE_ANSI_STDLIB "ON")
SET(VTK_USE_CARBON "OFF")
SET(VTK_USE_COCOA "OFF")
SET(VTK_USE_HYBRID "ON")
SET(VTK_USE_MATROX_IMAGING "OFF")
SET(VTK_USE_MPI "OFF")
SET(VTK_USE_PARALLEL "OFF")
SET(VTK_USE_PATENTED "OFF")
SET(VTK_USE_RENDERING "ON")
SET(VTK_USE_VIDEO_FOR_WINDOWS "OFF")
SET(VTK_USE_VOLUMEPRO "OFF")
SET(VTK_USE_GL2PS "OFF")
SET(VTK_USE_X "0")
SET(VTK_WRAP_JAVA "OFF")
SET(VTK_WRAP_PYTHON "ON")
SET(VTK_WRAP_TCL "ON")
SET(TCL_TK_STATIC "OFF")
SET(TK_RESOURCE_FILE "")

# The VTK executable locations.
SET(VTK_TCL_HOME "C:/VTK/Wrapping/Tcl")
SET(VTK_JAVA_JAR "")
SET(VTK_PARSE_JAVA_EXE "")
SET(VTK_WRAP_JAVA_EXE "")
SET(VTK_WRAP_PYTHON_EXE "C:/vtkbin/bin/vtkWrapPython.exe")
SET(VTK_WRAP_TCL_EXE "C:/vtkbin/bin/vtkWrapTcl.exe")
SET(VTK_DOXYGEN_HOME "C:/VTK/Utilities/Doxygen")
SET(VTK_TK_INTERNAL_DIR "C:/VTK/Rendering/tkInternals/tk84")

# The VTK test script locations.
SET(VTK_HEADER_TESTING_PY "C:/VTK/Common/Testing/HeaderTesting.py")
SET(VTK_FIND_STRING_TCL "C:/VTK/Common/Testing/Tcl/FindString.tcl")
SET(VTK_PRINT_SELF_CHECK_TCL "C:/VTK/Common/Testing/Tcl/PrintSelfCheck.tcl")
SET(VTK_RT_IMAGE_TEST_TCL "C:/VTK/Common/Testing/Tcl/rtImageTest.tcl")
SET(VTK_PRT_IMAGE_TEST_TCL "")

# The names of utility libraries used by VTK.
SET(VTK_PNG_LIBRARIES "vtkpng")
SET(VTK_ZLIB_LIBRARIES "vtkzlib")
SET(VTK_JPEG_LIBRARIES "vtkjpeg")
SET(VTK_TIFF_LIBRARIES "vtktiff")
SET(VTK_EXPAT_LIBRARIES "vtkexpat")

# The VTK library dependencies.
IF(NOT VTK_NO_LIBRARY_DEPENDS)
  INCLUDE("C:/vtkbin/VTKLibraryDepends.cmake")
ENDIF(NOT VTK_NO_LIBRARY_DEPENDS)

# For backward compatability.  DO NOT USE.
SET(VTK_SOURCE_DIR "C:/VTK")
IF(NOT TCL_LIBRARY)
  SET(TCL_LIBRARY "C:/Programmi/Tcl/lib/tcl84.lib" CACHE FILEPATH "Location of Tcl library imported from VTK.  This may mean your project is depending on VTK to get this setting.  Consider using FindTCL.cmake.")
ENDIF(NOT TCL_LIBRARY)
IF(NOT TK_LIBRARY)
  SET(TK_LIBRARY "C:/Programmi/Tcl/lib/tk84.lib" CACHE FILEPATH "Location of Tk library imported from VTK.  This may mean your project is depending on VTK to get this setting.  Consider using FindTCL.cmake.")
ENDIF(NOT TK_LIBRARY)
MARK_AS_ADVANCED(TCL_LIBRARY TK_LIBRARY)

